> For the complete documentation index, see [llms.txt](https://docs.bird.com/api/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.bird.com/api/channels-api/supported-channels/programmable-email/receiving-messages.md).

# Receiving messages

## Inbound messages

In this section, you can find sample messages of every inbound message type supported by the Channels API from an Email channel. The code snippets in every subsection demonstrate how an Email message is converted into a Channels API message.

See the following page to understand more about [retrieving messages](/api/channels-api/api-reference/messaging.md)

## HTML

<pre class="language-json" data-overflow="wrap" data-line-numbers><code class="lang-json">{
  "id": "96a0b5fa-a986-453d-be5c-3117f989f025",
  "channelId": "614208aa-b153-4d5d-9989-2fddfc0ce4c3",
  "sender": {
    "contact": {
<strong>      "id": "86c4bf7e-d3b4-444e-ae2e-440f3451122",
</strong>      "identifierKey": "emailaddress",
      "identifierValue": "john.smith@example.com"
    }
  },
  "receiver": {
    "connector": {
      "id": "86cc4dc0-3dc0-41b7-ac43-8ec829ead56f"
    }
  },
 
 "body": {
    "type": "html",
    "html": {
      "text": "sometext"
      "html": "&#x3C;somehtml>"
    }
  },

  "parts": [
    {
      "platformReference": "1234459590994@mail.mail.com"
    }
  ],
  "status": "delivered",
  "reason": "",
  "details": "",
  "direction": "incoming",
  "lastStatusAt": "2022-12-22T08:32:50.736Z",
  "createdAt": "2022-12-22T08:32:50.736Z",
  "updatedAt": "2022-12-22T08:32:50.736Z"
}
</code></pre>


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.bird.com/api/channels-api/supported-channels/programmable-email/receiving-messages.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
